Your submission was sent successfully! Close

CVE-2017-13777

Published: 30 August 2017

GraphicsMagick 1.3.26 has a denial of service issue in ReadXBMImage() in a coders/xbm.c "Read hex image data" version==10 case that results in the reader not returning; it would cause large amounts of CPU and memory consumption although the crafted file itself does not request it.

From the Ubuntu security team

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service or other unspecified impact.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
graphicsmagick
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(1.3.26-8)
cosmic Not vulnerable
(1.3.26-8)
disco Not vulnerable
(1.3.26-8)
eoan Not vulnerable
(1.3.26-8)
focal Not vulnerable
(1.3.26-8)
groovy Not vulnerable
(1.3.26-8)
hirsute Not vulnerable
(1.3.26-8)
impish Not vulnerable
(1.3.26-8)
jammy Not vulnerable
(1.3.26-8)
precise Does not exist

trusty Needed

upstream Needs triage

xenial
Released (1.3.23-1ubuntu0.3)
zesty Ignored
(reached end-of-life)